Create an equipment type
https://carchost.fieldcontrol.com.br/equipment-typesCreates an equipment type. The type's custom fields are registered in the Manager Panel.
Requires the
X-Api-Key,User-AgentandContent-Type: application/jsonheaders. Limit: 1 request per second (learn more).
Request
Headers
User-AgentstringrequiredIdentification of your application.
Example: MinhaIntegracao/1.0.
Request body
JSON, sent with the Content-Type: application/json header.
namestringrequiredEquipment type name. Must be unique in the account, case-insensitive.
From 3 to 100 characters.
archivedbooleanArchives the equipment type.
Default: false.
externalobjectFields of external
idstringEquipment type identifier in your system.
Up to 100 characters.Accepts: null.
Responses
- 201
Equipment type created.
- 401
API key missing (
Missing API Key) or invalid (Invalid API Key). See Authentication. - 403
Account blocked (
Account blocked), expired (Account expired) or on a plan that does not allow integration (Account plan not allowed). See Authentication. - 409
An equipment type with the same name already exists in the account, including archived ones (resourceAlreadyExists).
- 422
Invalid request data (resourceValidationErr).
- 429
Limit of 1 request per second exceeded. See Rate limit.
- 500
Unexpected server error.